# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "11" />
#<program4xi program = "test_server4xi_zap.py">
#<abstract4xi abstract = "Provides Verb SphereKB4Xi for TeleScope4Xi"/>
#<refer4xi reference = "zap2verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# ------------------------------------------------------------------------------------------------- 
#<interface4xi interface = " 
__all__ = [ "None" ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
from decimal import *
from math import pi
from math import sin
from math import cos 
from math import fabs

#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from time4xi import time4xi
#"
#/>
# -------------------------------------------------------------------------------------------------
# Settings - functions, classes and ALL class methods with possible synonyms for XML
# -------------------------------------------------------------------------------------------------
SphereKB4Xi = {
    }
SphereKB4Xi[0] = {}
SphereKB4Xi[1] = {}
SphereKB4Xi[2] = {}
SphereKB4Xi[3] = {}
SphereKB4Xi[4] = {}
SphereKB4Xi[5] = {}
SphereKB4Xi[6] = {}
SphereKB4Xi[7] = {}
SphereKB4Xi[8] = {}
SphereKB4Xi[0][0]  = {}
SphereKB4Xi[1][2]  = {}
SphereKB4Xi[1][10]  = {}
SphereKB4Xi[1][100]  = {}
SphereKB4Xi[1][200]  = {}
SphereKB4Xi[1][300]  = {}
SphereKB4Xi[1][400]  = {}
SphereKB4Xi[1][500]  = {}
SphereKB4Xi[1][600]  = {}
SphereKB4Xi[1][700]  = {}
SphereKB4Xi[1][800]  = {}
SphereKB4Xi[1][900]  = {}
SphereKB4Xi[1][1000]  = {}
SphereKB4Xi[1][1100]  = {}
SphereKB4Xi[1][1200]  = {}
SphereKB4Xi[1][1300]  = {}
SphereKB4Xi[1][1400]  = {}
SphereKB4Xi[1][1500]  = {}
SphereKB4Xi[1][1600]  = {}
SphereKB4Xi[1][1700]  = {}
SphereKB4Xi[1][1800]  = {}
SphereKB4Xi[1][1900]  = {}
SphereKB4Xi[1][2000]  = {}
SphereKB4Xi[1][2100]  = {}
SphereKB4Xi[1][2200]  = {}
SphereKB4Xi[1][2300]  = {}
SphereKB4Xi[1][2400]  = {}
SphereKB4Xi[1][2500]  = {}
SphereKB4Xi[1][2600]  = {}
SphereKB4Xi[1][2700]  = {}
SphereKB4Xi[1][2800]  = {}
SphereKB4Xi[1][2900]  = {}
SphereKB4Xi[1][3000]  = {}
SphereKB4Xi[1][3100]  = {}
SphereKB4Xi[1][3200]  = {}
SphereKB4Xi[1][3300]  = {}
SphereKB4Xi[2][2]  = {}
SphereKB4Xi[2][10]  = {}
SphereKB4Xi[2][100]  = {}
SphereKB4Xi[2][200]  = {}
SphereKB4Xi[2][300]  = {}
SphereKB4Xi[2][400]  = {}
SphereKB4Xi[2][500]  = {}
SphereKB4Xi[2][600]  = {}
SphereKB4Xi[2][700]  = {}
SphereKB4Xi[2][800]  = {}
SphereKB4Xi[2][900]  = {}
SphereKB4Xi[2][1000]  = {}
SphereKB4Xi[2][1100]  = {}
SphereKB4Xi[2][1200]  = {}
SphereKB4Xi[2][1300]  = {}
SphereKB4Xi[2][1400]  = {}
SphereKB4Xi[2][1500]  = {}
SphereKB4Xi[2][1600]  = {}
SphereKB4Xi[2][1700]  = {}
SphereKB4Xi[2][1800]  = {}
SphereKB4Xi[2][1900]  = {}
SphereKB4Xi[2][2000]  = {}
SphereKB4Xi[2][2100]  = {}
SphereKB4Xi[2][2200]  = {}
SphereKB4Xi[2][2300]  = {}
SphereKB4Xi[2][2400]  = {}
SphereKB4Xi[2][2500]  = {}
SphereKB4Xi[2][2600]  = {}
SphereKB4Xi[2][2700]  = {}
SphereKB4Xi[2][2800]  = {}
SphereKB4Xi[2][2900]  = {}
SphereKB4Xi[2][3000]  = {}
SphereKB4Xi[2][3100]  = {}
SphereKB4Xi[2][3200]  = {}
SphereKB4Xi[2][3300]  = {}
SphereKB4Xi[3][2]  = {}
SphereKB4Xi[3][10]  = {}
SphereKB4Xi[3][100]  = {}
SphereKB4Xi[3][200]  = {}
SphereKB4Xi[3][300]  = {}
SphereKB4Xi[3][400]  = {}
SphereKB4Xi[3][500]  = {}
SphereKB4Xi[3][600]  = {}
SphereKB4Xi[3][700]  = {}
SphereKB4Xi[3][800]  = {}
SphereKB4Xi[3][900]  = {}
SphereKB4Xi[3][1000]  = {}
SphereKB4Xi[3][1100]  = {}
SphereKB4Xi[3][1200]  = {}
SphereKB4Xi[3][1300]  = {}
SphereKB4Xi[3][1400]  = {}
SphereKB4Xi[3][1500]  = {}
SphereKB4Xi[3][1600]  = {}
SphereKB4Xi[3][1700]  = {}
SphereKB4Xi[3][1800]  = {}
SphereKB4Xi[3][1900]  = {}
SphereKB4Xi[3][2000]  = {}
SphereKB4Xi[3][2100]  = {}
SphereKB4Xi[3][2200]  = {}
SphereKB4Xi[3][2300]  = {}
SphereKB4Xi[3][2400]  = {}
SphereKB4Xi[3][2500]  = {}
SphereKB4Xi[3][2600]  = {}
SphereKB4Xi[3][2700]  = {}
SphereKB4Xi[3][2800]  = {}
SphereKB4Xi[3][2900]  = {}
SphereKB4Xi[3][3000]  = {}
SphereKB4Xi[3][3100]  = {}
SphereKB4Xi[3][3200]  = {}
SphereKB4Xi[3][3300]  = {}
SphereKB4Xi[4][2]  = {}
SphereKB4Xi[4][10]  = {}
SphereKB4Xi[4][100]  = {}
SphereKB4Xi[4][200]  = {}
SphereKB4Xi[4][300]  = {}
SphereKB4Xi[4][400]  = {}
SphereKB4Xi[4][500]  = {}
SphereKB4Xi[4][600]  = {}
SphereKB4Xi[4][700]  = {}
SphereKB4Xi[4][800]  = {}
SphereKB4Xi[4][900]  = {}
SphereKB4Xi[4][1000]  = {}
SphereKB4Xi[4][1100]  = {}
SphereKB4Xi[4][1200]  = {}
SphereKB4Xi[4][1300]  = {}
SphereKB4Xi[4][1400]  = {}
SphereKB4Xi[4][1500]  = {}
SphereKB4Xi[4][1600]  = {}
SphereKB4Xi[4][1700]  = {}
SphereKB4Xi[4][1800]  = {}
SphereKB4Xi[4][1900]  = {}
SphereKB4Xi[4][2000]  = {}
SphereKB4Xi[4][2100]  = {}
SphereKB4Xi[4][2200]  = {}
SphereKB4Xi[4][2300]  = {}
SphereKB4Xi[4][2400]  = {}
SphereKB4Xi[4][2500]  = {}
SphereKB4Xi[4][2600]  = {}
SphereKB4Xi[4][2700]  = {}
SphereKB4Xi[4][2800]  = {}
SphereKB4Xi[4][2900]  = {}
SphereKB4Xi[4][3000]  = {}
SphereKB4Xi[4][3100]  = {}
SphereKB4Xi[4][3200]  = {}
SphereKB4Xi[4][3300]  = {}
SphereKB4Xi[5][2]  = {}
SphereKB4Xi[5][10]  = {}
SphereKB4Xi[5][100]  = {}
SphereKB4Xi[5][200]  = {}
SphereKB4Xi[5][300]  = {}
SphereKB4Xi[5][400]  = {}
SphereKB4Xi[5][500]  = {}
SphereKB4Xi[5][600]  = {}
SphereKB4Xi[5][700]  = {}
SphereKB4Xi[5][800]  = {}
SphereKB4Xi[5][900]  = {}
SphereKB4Xi[5][1000]  = {}
SphereKB4Xi[5][1100]  = {}
SphereKB4Xi[5][1200]  = {}
SphereKB4Xi[5][1300]  = {}
SphereKB4Xi[5][1400]  = {}
SphereKB4Xi[5][1500]  = {}
SphereKB4Xi[5][1600]  = {}
SphereKB4Xi[5][1700]  = {}
SphereKB4Xi[5][1800]  = {}
SphereKB4Xi[5][1900]  = {}
SphereKB4Xi[5][2000]  = {}
SphereKB4Xi[5][2100]  = {}
SphereKB4Xi[5][2200]  = {}
SphereKB4Xi[5][2300]  = {}
SphereKB4Xi[5][2400]  = {}
SphereKB4Xi[5][2500]  = {}
SphereKB4Xi[5][2600]  = {}
SphereKB4Xi[5][2700]  = {}
SphereKB4Xi[5][2800]  = {}
SphereKB4Xi[5][2900]  = {}
SphereKB4Xi[5][3000]  = {}
SphereKB4Xi[5][3100]  = {}
SphereKB4Xi[5][3200]  = {}
SphereKB4Xi[5][3300]  = {}
SphereKB4Xi[6][2]  = {}
SphereKB4Xi[6][10]  = {}
SphereKB4Xi[6][100]  = {}
SphereKB4Xi[6][200]  = {}
SphereKB4Xi[6][300]  = {}
SphereKB4Xi[6][400]  = {}
SphereKB4Xi[6][500]  = {}
SphereKB4Xi[6][600]  = {}
SphereKB4Xi[6][700]  = {}
SphereKB4Xi[6][800]  = {}
SphereKB4Xi[6][900]  = {}
SphereKB4Xi[6][1000]  = {}
SphereKB4Xi[6][1100]  = {}
SphereKB4Xi[6][1200]  = {}
SphereKB4Xi[6][1300]  = {}
SphereKB4Xi[6][1400]  = {}
SphereKB4Xi[6][1500]  = {}
SphereKB4Xi[6][1600]  = {}
SphereKB4Xi[6][1700]  = {}
SphereKB4Xi[6][1800]  = {}
SphereKB4Xi[6][1900]  = {}
SphereKB4Xi[6][2000]  = {}
SphereKB4Xi[6][2100]  = {}
SphereKB4Xi[6][2200]  = {}
SphereKB4Xi[6][2300]  = {}
SphereKB4Xi[6][2400]  = {}
SphereKB4Xi[6][2500]  = {}
SphereKB4Xi[6][2600]  = {}
SphereKB4Xi[6][2700]  = {}
SphereKB4Xi[6][2800]  = {}
SphereKB4Xi[6][2900]  = {}
SphereKB4Xi[6][3000]  = {}
SphereKB4Xi[6][3100]  = {}
SphereKB4Xi[6][3200]  = {}
SphereKB4Xi[6][3300]  = {}
SphereKB4Xi[7][2]  = {}
SphereKB4Xi[7][10]  = {}
SphereKB4Xi[7][100]  = {}
SphereKB4Xi[7][200]  = {}
SphereKB4Xi[7][300]  = {}
SphereKB4Xi[7][400]  = {}
SphereKB4Xi[7][500]  = {}
SphereKB4Xi[7][600]  = {}
SphereKB4Xi[7][700]  = {}
SphereKB4Xi[7][800]  = {}
SphereKB4Xi[7][900]  = {}
SphereKB4Xi[7][1000]  = {}
SphereKB4Xi[7][1100]  = {}
SphereKB4Xi[7][1200]  = {}
SphereKB4Xi[7][1300]  = {}
SphereKB4Xi[7][1400]  = {}
SphereKB4Xi[7][1500]  = {}
SphereKB4Xi[7][1600]  = {}
SphereKB4Xi[7][1700]  = {}
SphereKB4Xi[7][1800]  = {}
SphereKB4Xi[7][1900]  = {}
SphereKB4Xi[7][2000]  = {}
SphereKB4Xi[7][2100]  = {}
SphereKB4Xi[7][2200]  = {}
SphereKB4Xi[7][2300]  = {}
SphereKB4Xi[7][2400]  = {}
SphereKB4Xi[7][2500]  = {}
SphereKB4Xi[7][2600]  = {}
SphereKB4Xi[7][2700]  = {}
SphereKB4Xi[7][2800]  = {}
SphereKB4Xi[7][2900]  = {}
SphereKB4Xi[7][3000]  = {}
SphereKB4Xi[7][3100]  = {}
SphereKB4Xi[7][3200]  = {}
SphereKB4Xi[7][3300]  = {}
SphereKB4Xi[8][2]  = {}
SphereKB4Xi[8][10]  = {}
SphereKB4Xi[8][100]  = {}
SphereKB4Xi[8][200]  = {}
SphereKB4Xi[8][300]  = {}
SphereKB4Xi[8][400]  = {}
SphereKB4Xi[8][500]  = {}
SphereKB4Xi[8][600]  = {}
SphereKB4Xi[8][700]  = {}
SphereKB4Xi[8][800]  = {}
SphereKB4Xi[8][900]  = {}
SphereKB4Xi[8][1000]  = {}
SphereKB4Xi[8][1100]  = {}
SphereKB4Xi[8][1200]  = {}
SphereKB4Xi[8][1300]  = {}
SphereKB4Xi[8][1400]  = {}
SphereKB4Xi[8][1500]  = {}
SphereKB4Xi[8][1600]  = {}
SphereKB4Xi[8][1700]  = {}
SphereKB4Xi[8][1800]  = {}
SphereKB4Xi[8][1900]  = {}
SphereKB4Xi[8][2000]  = {}
SphereKB4Xi[8][2100]  = {}
SphereKB4Xi[8][2200]  = {}
SphereKB4Xi[8][2300]  = {}
SphereKB4Xi[8][2400]  = {}
SphereKB4Xi[8][2500]  = {}
SphereKB4Xi[8][2600]  = {}
SphereKB4Xi[8][2700]  = {}
SphereKB4Xi[8][2800]  = {}
SphereKB4Xi[8][2900]  = {}
SphereKB4Xi[8][3000]  = {}
SphereKB4Xi[8][3100]  = {}
SphereKB4Xi[8][3200]  = {}
SphereKB4Xi[8][3300]  = {}
SphereKB4Xi[0][0]["0x0y0z"] = {'2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[1][2]["1x1y1z"] = {'2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '0x0y0z', 16: '1x-1y-1z', 17: '0x0y3299z', 18: '0x0y19z', 19: 'zap0000one4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[1][10]["0x0y19z"] = {'2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 1, 4: 157.07963267948966}, 4: 'dragon0x0y19z', 5: '#E29F3A', 6: 16, 7: 11, 8: Decimal('19.0'), 9: Decimal('9'), 10: 1, 11: "{sensing; Server4Xi-sensing-by-sense-of-Server4Xi: class 'server4xi.Server4Xi'; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y19z', 18: '0x0y19z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[1][3200]["0x0y3199z"] = {'2xi': {1: 1, 2: 3200, 3: {1: 16084954.386379741, 2: '#848484', 3: 2, 4: 8042477.193189871}, 4: 'dragon0x0y3199z', 5: '#A16666', 6: 3222, 7: 22, 8: 3200, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3199z', 18: '0x0y3199z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[1][3300]["0x0y3299z"] = {'2xi': {1: 1, 2: 3300, 3: {1: 17105971.998796422, 2: '#848484', 3: 2, 4: 8552985.999398211}, 4: 'dragon0x0y3299z', 5: '#9BA2A2', 6: 3302, 7: 0, 8: 3300, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3299z', 18: '0x0y3299z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[2][2]["1x-1y-1z"] = {'2xi': {1: 2, 2: 2, 3: {1: 6.283185307179586, 2: '#D7D0CA', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y-1z', 5: '#7F5321', 6: 2, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-2Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y1z', 16: '1x1y-1z', 17: '1001x-859y-3024z', 18: '1004x-694y-2957z', 19: 'zap0000two4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[2][3200]["1004x-694y-2957z"] = {'2xi': {1: 2, 2: 3200, 3: {1: 16084954.386379741, 2: '#D7D0CA', 3: 1, 4: 16084954.386379741}, 4: 'dragon1004x-694y-2957z', 5: '#0080FF', 6: 3203, 7: 3, 8: 3200, 9: 0, 10: 2, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1004x-694y-2957z', 18: '1004x-694y-2957z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[2][3300]["1001x-859y-3024z"] = {'2xi': {1: 2, 2: 3300, 3: {1: 17105971.998796422, 2: '#D7D0CA', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-859y-3024z', 5: '#0080FF', 6: 3303, 7: 0, 8: 3300, 9: 0, 10: 2, 11: '{started; sense-of-SuperCluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-859y-3024z', 18: '1001x-859y-3024z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[3][2]["1x1y-1z"] = {'2xi': {1: 3, 2: 2, 3: {1: 6.283185307179586, 2: '#C3BDB7', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y-1z', 5: '#95652E', 6: 3, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-3Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y-1z', 16: '1x-1y1z', 17: '0x3106y-769z', 18: '0x0y-39z', 19: 'zap0000three4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[3][10]["0x0y-39z"] = {'2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 1, 4: 157.07963267948966}, 4: 'dragon0x0y-39z', 5: '#F7F745', 6: 2, 7: 17, 8: Decimal('39.0'), 9: Decimal('29'), 10: 3, 11: '{(Step 1/12b) borning; server2xi-of-Server4Xi-borning: ; time: 10:45:06 01/07/13 Pacific Standard Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y-39z', 18: '0x0y-39z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[3][3200]["0x3106y-769z"] = {'2xi': {1: 3, 2: 3200, 3: {1: 16084954.386379741, 2: '#C3BDB7', 3: 2, 4: 8042477.193189871}, 4: 'dragon0x3106y-769z', 5: '#0080FF', 6: 3217, 7: 17, 8: 3200, 9: 0, 10: 3, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x3106y-769z', 18: '0x3106y-769z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][2]["1x-1y1z"] = {'2xi': {1: 4, 2: 2, 3: {1: 6.283185307179586, 2: '#AFAAA5', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y1z', 5: '#AB712F', 6: 4, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-4Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y-1z', 16: '-1x1y1z', 17: '1001x-3083y614z', 18: '0x-9y2z', 19: 'zap0000four4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][10]["0x-9y2z"] = {'2xi': {1: 4, 2: 10, 3: {1: 157.07963267948966, 2: '#AFAAA5', 3: 5, 4: 31.41592653589793}, 4: 'dragon0x-9y2z', 5: '#E49C49', 6: 22, 7: 13, 8: Decimal('9.219544457292887'), 9: Decimal('0'), 10: 4, 11: "{reasoning; Server4Xi-reasoning-by-reason-of-Server4Xi: class 'server4xi.Server4Xi'; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: 'reason', 13: 2, 14: '-0x-0y-0z', 15: '12x-15y2z', 16: '11x-9y47z', 17: '11x-23y53z', 18: '12x-23y53z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][10]["11x-23y53z"] = {'2xi': {1: 4, 2: 10, 3: {1: 157.07963267948966, 2: '#AFAAA5', 3: 5, 4: 31.41592653589793}, 4: 'dragon11x-23y53z', 5: '#84C4A8', 6: 30, 7: 1, 8: Decimal('58.81326381013045'), 9: Decimal('48'), 10: 4, 11: "{returning; kb8xi-returning-by-ace-of-Server4X: {'object8xi': server4xi.Server4Xi object at 0x0000000002A92FD0}; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: 'ace', 13: 2, 14: '-0x-0y-0z', 15: '11x-9y47z', 16: '+0x+0y+0z', 17: '11x-23y53z', 18: '12x-23y53z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][10]["11x-9y47z"] = {'2xi': {1: 4, 2: 10, 3: {1: 157.07963267948966, 2: '#AFAAA5', 3: 5, 4: 31.41592653589793}, 4: 'dragon11x-9y47z', 5: '#84C4A8', 6: 25, 7: 1, 8: Decimal('49.10193478876367'), 9: Decimal('39'), 10: 4, 11: "{returning; kb4xi-returning-by-reason-of-Server4Xi: {'object-reason-object4xi': server4xi.Server4Xi object at 0x0000000002A92FD0}; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: 'reason', 13: 2, 14: '-0x-0y-0z', 15: '0x-9y2z', 16: '11x-23y53z', 17: '11x-23y53z', 18: '12x-23y53z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][10]["12x-15y2z"] = {'2xi': {1: 4, 2: 10, 3: {1: 157.07963267948966, 2: '#AFAAA5', 3: 5, 4: 31.41592653589793}, 4: 'dragon12x-15y2z', 5: '#84C4A8', 6: 20, 7: 1, 8: Decimal('19.313207915827967'), 9: Decimal('9'), 10: 4, 11: "{returning; kb2xi-returning-by-sense-of-Server4Xi: {'registry-of-server2xi': {}, 'id-to-obj-of-server2xi': {'0': (None, ())}, 'address-of-server2xi': ('127.0.0.1', 8080), 'listener-of-server2xi': multiprocessing.connection.Listener object at 0x000000000394A278, 'object': server4xi.Server4Xi object at 0x0000000002A92FD0, 'id-to-refcount-of-server2xi': {}, 'authkey-of-server2xi': b'~I\\xf6\\x88\\x967\\xa1\\x18w\\x8fZ6r@\\xaa;k\\xb9\\x860\\xf8.\\x11\\xc8\\xb4u\\xcf\\x02\\xd8\\xc3\\xee', 'public-of-Server4Xi': ['shutdown', 'create', 'accept_connection', 'get_methods', 'debug_info', 'number_of_objects', 'dummy', 'incref', 'decref', 'sense', 'reason', 'ace'], 'mutex-of-server2xi': _thread.RLock owner=0 count=0}; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '12x-23y53z', 16: '0x-9y2z', 17: '11x-23y53z', 18: '12x-23y53z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][10]["12x-23y53z"] = {'2xi': {1: 4, 2: 10, 3: {1: 157.07963267948966, 2: '#AFAAA5', 3: 5, 4: 31.41592653589793}, 4: 'dragon12x-23y53z', 5: '#4665DE', 6: 4, 7: 1, 8: Decimal('59.00847396772772'), 9: Decimal('49'), 10: 4, 11: "{(Step 1/12e) sharing; public-sharing-by-server2xi-of-Server4Xi: ['shutdown', 'create', 'accept_connection', 'get_methods', 'debug_info', 'number_of_objects', 'dummy', 'incref', 'decref', 'sense', 'reason', 'ace']; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '12x-15y2z', 17: '11x-23y53z', 18: '12x-23y53z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][3200]["1002x-1179y2800z"] = {'2xi': {1: 4, 2: 3200, 3: {1: 16084954.386379741, 2: '#AFAAA5', 3: 6, 4: 2680825.73106329}, 4: 'dragon1002x-1179y2800z', 5: '#946025', 6: 3223, 7: 23, 8: 3200, 9: 0, 10: 4, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1002x-1179y2800z', 18: '1002x-1179y2800z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[4][3300]["1001x-3083y614z"] = {'2xi': {1: 4, 2: 3300, 3: {1: 17105971.998796422, 2: '#AFAAA5', 3: 6, 4: 2850995.333132737}, 4: 'dragon1001x-3083y614z', 5: '#9292A1', 6: 3305, 7: 0, 8: 3300, 9: 0, 10: 4, 11: '{started; sense-of-SuperCluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-3083y614z', 18: '1001x-3083y614z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[5][2]["-1x1y1z"] = {'2xi': {1: 5, 2: 2, 3: {1: 6.283185307179586, 2: '#A29E9A', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y1z', 5: '#BA7525', 6: 5, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-5Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y1z', 16: '-1x1y-1z', 17: '-1001x2946y1098z', 18: '-10x12y36z', 19: 'zap0000five4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[5][10]["-10x10y12z"] = {'2xi': {1: 5, 2: 10, 3: {1: 157.07963267948966, 2: '#A29E9A', 3: 2, 4: 78.53981633974483}, 4: 'dragon-10x10y12z', 5: '#355F0B', 6: 27, 7: 8, 8: Decimal('18.547236990991408'), 9: Decimal('8'), 10: 5, 11: "{acing; Server4Xi-acing-by-ace-of-Server4Xi: class 'server4xi.Server4Xi'; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: 'ace', 13: 2, 14: '-0x-0y-0z', 15: '-10x12y36z', 16: '+0x+0y+0z', 17: '-10x10y12z', 18: '-10x12y36z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[5][10]["-10x12y36z"] = {'2xi': {1: 5, 2: 10, 3: {1: 157.07963267948966, 2: '#A29E9A', 3: 2, 4: 78.53981633974483}, 4: 'dragon-10x12y36z', 5: '#93BD68', 6: 15, 7: 12, 8: Decimal('39.242833740697165'), 9: Decimal('29'), 10: 5, 11: '{started; sense-of-Server4Xi-started: 10:45:06 01/07/13 Pacific Standard Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-10x10y12z', 17: '-10x10y12z', 18: '-10x12y36z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[5][3200]["-1006x1915y2357z"] = {'2xi': {1: 5, 2: 3200, 3: {1: 16084954.386379741, 2: '#A29E9A', 3: 3, 4: 5361651.46212658}, 4: 'dragon-1006x1915y2357z', 5: '#1FA8A3', 6: 3218, 7: 18, 8: 3200, 9: 0, 10: 5, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1006x1915y2357z', 18: '-1006x1915y2357z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[5][3300]["-1001x2946y1098z"] = {'2xi': {1: 5, 2: 3300, 3: {1: 17105971.998796422, 2: '#A29E9A', 3: 3, 4: 5701990.666265474}, 4: 'dragon-1001x2946y1098z', 5: '#0B6138', 6: 3306, 7: 0, 8: 3300, 9: 0, 10: 5, 11: '{started; sense-of-SuperCluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1001x2946y1098z', 18: '-1001x2946y1098z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[6][2]["-1x1y-1z"] = {'2xi': {1: 6, 2: 2, 3: {1: 6.283185307179586, 2: '#9A9591', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y-1z', 5: '#CB7C21', 6: 6, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-6Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y1z', 16: '-1x-1y1z', 17: '-1029x2984y-961z', 18: '-1002x1878y-2389z', 19: 'zap0000six4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[6][3200]["-1002x1878y-2389z"] = {'2xi': {1: 6, 2: 3200, 3: {1: 16084954.386379741, 2: '#9A9591', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1002x1878y-2389z', 5: '#F55A5A', 6: 3202, 7: 2, 8: 3200, 9: 0, 10: 6, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1002x1878y-2389z', 18: '-1002x1878y-2389z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[6][3300]["-1029x2984y-961z"] = {'2xi': {1: 6, 2: 3300, 3: {1: 17105971.998796422, 2: '#9A9591', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1029x2984y-961z', 5: '#F55A5A', 6: 3307, 7: 0, 8: 3300, 9: 0, 10: 6, 11: '{started; sense-of-SuperCluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1029x2984y-961z', 18: '-1029x2984y-961z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[7][2]["-1x-1y1z"] = {'2xi': {1: 7, 2: 2, 3: {1: 6.283185307179586, 2: '#8B8783', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y1z', 5: '#DF841B', 6: 7, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-7Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y-1z', 16: '-1x-1y-1z', 17: '-1009x-2675y1646z', 18: '-10x-11y36z', 19: 'zap0000seven4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[7][10]["-10x-11y36z"] = {'2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 1, 4: 157.07963267948966}, 4: 'dragon-10x-11y36z', 5: '#E82121', 6: 18, 7: 6, 8: Decimal('38.948684188300895'), 9: Decimal('28'), 10: 7, 11: "{yielded; kb2xi-yielded-by-sense-of-Server4Xi: {'registry-of-server2xi': {}, 'id-to-obj-of-server2xi': {'0': (None, ())}, 'address-of-server2xi': ('127.0.0.1', 8080), 'listener-of-server2xi': multiprocessing.connection.Listener object at 0x000000000394A278, 'object': server4xi.Server4Xi object at 0x0000000002A92FD0, 'id-to-refcount-of-server2xi': {}, 'authkey-of-server2xi': b'~I\\xf6\\x88\\x967\\xa1\\x18w\\x8fZ6r@\\xaa;k\\xb9\\x860\\xf8.\\x11\\xc8\\xb4u\\xcf\\x02\\xd8\\xc3\\xee', 'public-of-Server4Xi': ['shutdown', 'create', 'accept_connection', 'get_methods', 'debug_info', 'number_of_objects', 'dummy', 'incref', 'decref', 'sense', 'reason', 'ace'], 'mutex-of-server2xi': _thread.RLock owner=0 count=0}; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-10x-11y36z', 18: '-10x-11y36z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[7][3200]["-1089x-2838y998z"] = {'2xi': {1: 7, 2: 3200, 3: {1: 16084954.386379741, 2: '#8B8783', 3: 2, 4: 8042477.193189871}, 4: 'dragon-1089x-2838y998z', 5: '#DF0101', 6: 3206, 7: 6, 8: 3200, 9: 0, 10: 7, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1089x-2838y998z', 18: '-1089x-2838y998z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[7][3300]["-1009x-2675y1646z"] = {'2xi': {1: 7, 2: 3300, 3: {1: 17105971.998796422, 2: '#8B8783', 3: 2, 4: 8552985.999398211}, 4: 'dragon-1009x-2675y1646z', 5: '#EE4545', 6: 3308, 7: 0, 8: 3300, 9: 0, 10: 7, 11: '{started; sense-of-SuperCluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1009x-2675y1646z', 18: '-1009x-2675y1646z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][2]["-1x-1y-1z"] = {'2xi': {1: 8, 2: 2, 3: {1: 6.283185307179586, 2: '#7D7A77', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y-1z', 5: '#EE8712', 6: 8, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-8Skeleton4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y1z', 16: '1x1y1z', 17: '-1010x-495y-3102z', 18: '-10x-58y-6z', 19: 'zap0000eight4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][10]["-10x-10y-12z"] = {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 6, 4: 26.179938779914945}, 4: 'dragon-10x-10y-12z', 5: '#C0C372', 6: 3, 7: 19, 8: Decimal('18.547236990991408'), 9: Decimal('8'), 10: 8, 11: "{(Step 1/12d) inheriting; object-inheriting-by-server2xi-of-Server4Xi: class 'object'; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-10x-11y-13z', 17: '-11x-1y-27z', 18: '-10x-10y-12z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][10]["-10x-11y-13z"] = {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 6, 4: 26.179938779914945}, 4: 'dragon-10x-11y-13z', 5: '#52DADA', 6: 9, 7: 20, 8: Decimal('19.748417658131498'), 9: Decimal('9'), 10: 8, 11: '{(StepOriginal) passing; server2xi-passing-to-Server-by-init-of-Server4Xi: ; time: 10:45:06 01/07/13 Pacific Standard Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-10x-10y-12z', 16: '-10x-3y-27z', 17: '-11x-1y-27z', 18: '-10x-10y-12z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][10]["-10x-3y-27z"] = {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 6, 4: 26.179938779914945}, 4: 'dragon-10x-3y-27z', 5: '#52DADA', 6: 10, 7: 20, 8: Decimal('28.948229652260256'), 9: Decimal('18'), 10: 8, 11: '{(StepOriginal) passing; registry-passing-to-Server-by-init-of-Server4Xi: {}; time: 10:45:06 01/07/13 Pacific Standard Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-10x-11y-13z', 16: '-10x-58y-6z', 17: '-11x-1y-27z', 18: '-10x-10y-12z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][10]["-10x-58y-6z"] = {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 6, 4: 26.179938779914945}, 4: 'dragon-10x-58y-6z', 5: '#52DADA', 6: 11, 7: 20, 8: Decimal('59.16079783099616'), 9: Decimal('49'), 10: 8, 11: "{(StepOriginal) passing; address-passing-to-Server-by-init-of-Server4Xi: ('localhost', 8080); time: 10:45:06 01/07/13 Pacific Standard Time}", 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-10x-3y-27z', 16: '-10x-7y-37z', 17: '-11x-1y-27z', 18: '-10x-10y-12z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][10]["-10x-7y-37z"] = {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 6, 4: 26.179938779914945}, 4: 'dragon-10x-7y-37z', 5: '#52DADA', 6: 12, 7: 20, 8: Decimal('38.961519477556315'), 9: Decimal('28'), 10: 8, 11: "{(StepOriginal) passing; authkey-passing-to-Server-by-init-of-Server4Xi: b'~I\\xf6\\x88\\x967\\xa1\\x18w\\x8fZ6r@\\xaa;k\\xb9\\x860\\xf8.\\x11\\xc8\\xb4u\\xcf\\x02\\xd8\\xc3\\xee'; time: 10:45:06 01/07/13 Pacific Standard Time}", 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-10x-58y-6z', 16: '-11x-1y-27z', 17: '-11x-1y-27z', 18: '-10x-10y-12z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][10]["-11x-1y-27z"] = {'2xi': {1: 8, 2: 10, 3: {1: 157.07963267948966, 2: '#EE8712', 3: 6, 4: 26.179938779914945}, 4: 'dragon-11x-1y-27z', 5: '#52DADA', 6: 13, 7: 20, 8: Decimal('29.171904291629644'), 9: Decimal('19'), 10: 8, 11: '{(StepOriginal) passing; serializer-passing-to-Server-by-init-of-Server4Xi: pickle; time: 10:45:06 01/07/13 Pacific Standard Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-10x-7y-37z', 16: '+0x+0y+0z', 17: '-11x-1y-27z', 18: '-10x-10y-12z', 19: '__init__.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][3200]["-100x-2126y-2388z"] = {'2xi': {1: 8, 2: 3200, 3: {1: 16084954.386379741, 2: '#EE8712', 3: 7, 4: 2297850.626625677}, 4: 'dragon-100x-2126y-2388z', 5: '#FF0000', 6: 3233, 7: 33, 8: 3200, 9: 0, 10: 8, 11: '{started; sense-of-Cluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-100x-2126y-2388z', 18: '-100x-2126y-2388z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
SphereKB4Xi[8][3300]["-1010x-495y-3102z"] = {'2xi': {1: 8, 2: 3300, 3: {1: 17105971.998796422, 2: '#EE8712', 3: 7, 4: 2443710.285542346}, 4: 'dragon-1010x-495y-3102z', 5: '#DE9ABC', 6: 3309, 7: 0, 8: 3300, 9: 0, 10: 8, 11: '{started; sense-of-SuperCluster4Xi-started: 07:28:18 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1010x-495y-3102z', 18: '-1010x-495y-3102z', 19: 'dummyprocess4xi.py'}, '8xi': {}, '4xi': {}}
# -------------------------------------------------------------------------------------------------
#<note4xi note = "created automatically by zap2verb4xi.py 07:28:39 04/07/14 Pacific Daylight Time"/>
# -------------------------------------------------------------------------------------------------
ack2debug = False
if ack2debug is True:
    print("(Step 1A)/33) - TRYING TO PRINT SphereKB4Xi ")
    try:
        keys2direction = SphereKB4Xi.keys()
        for key2direction in sorted(keys2direction):
            if ack2debug is True:
                print("=" *70)
                print("DIRECTION: ", key2direction)
                print("=" *70)
            kb2layer = SphereKB4Xi[key2direction]
            keys2layer = kb2layer.keys()
            for key2layer in sorted(keys2layer):
                kb2node = SphereKB4Xi[key2direction] [key2layer]
                keys2node = kb2node.keys()
                for key2node in sorted(keys2node):
                    print("SphereKB4Xi[", key2direction, "][", key2layer, "][", key2node, "]: ", kb2node [key2node])
    except:
        print("(Step 1A)/33) *** FAILED to print SphereKB4Xi ")
#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   zap*4xi.py
#   test_zap2verb4xi.txt
#   also compiled with ack2debug = True
#"
#>
# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of test_server4xi_zap.py
# ------------------------------------------------------------------------------------------------- 
#"
#/>        
